PUT /api/v3/meter/{meterId}/list/bill/unexport

Unexport meter bills

MeterBillListUnexportV3 Permissions: ExportBills (Run)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
meterId The meter for which to unexport all bills integer (int32) Required

Request Body

BillUnexportOptions
Property Description Type
exportMode The export type to clear. Valid values: “ap” (accounts payable), “gl” (general ledger), “payment” (bill payment). Case-insensitive. Required One of ‘ap’, ‘gl’, ‘payment’ string
Example Request Body application/json
{  "exportMode": "string"
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

UpdateResult
Property Description Type
selected The total number of items that were targeted by the bulk operation Required (defined) integer (int32)
updated The number of items that were actually modified (excludes items that already matched the target state) Required (defined) integer (int32)
Example Response application/json
{  "selected": 1,  "updated": 1
}